package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/24
 */
@ApiModel("运营人员绑定微信")
@Data
public class AuthBindDto implements Serializable {
    /**
     * 要绑定的用户Id
     */
    @NotNull
    @ApiModelProperty("要绑定的用户Id")
    private Integer userId;
    /**
     * 手机号
     */
    @NotNull
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 手机验证码
     */
    @NotNull
    @ApiModelProperty("手机验证码")
    private String smsCode;
    /**
     * 微信unionId
     */
    @NotNull
    @ApiModelProperty("微信unionId")
    private String unionId;

}
